org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime

## Interface ETypedElementResult

All Known Subinterfaces:
  ETypedElementEObjectListResult<T>, ETypedElementEObjectResult<T>, ETypedElementPrimitiveTypeListResult<T>, ETypedElementPrimitiveTypeResult<T>

    public interface ETypedElementResult

A representation of the model object 'ETyped Element Result'. This class represents the result of evaluating the value of a DerivedTypedElement by means of a query .

The following features are supported:

- `Derived Typed Element`
- `Parameter Values`
- `Source`
- `Exception`

See Also:
  `RuntimePackage.getETypedElementResult()`
Generated:
Model:
  abstract="true"

### Method Summary

All Methods Instance Methods Abstract Methods
`ETypedElement` `getDerivedTypedElement()` Returns the value of the 'Derived Typed Element' reference.
`java.lang.Throwable` `getException()` Returns the value of the 'Exception' attribute.
`<any>` `getParameterValues()` Returns the value of the 'Parameter Values' containment reference list.
`EObject` `getSource()` Returns the value of the 'Source' reference.
`void` `setDerivedTypedElement(ETypedElement value)` Sets the value of the '`Derived Typed Element`' reference.
`void` `setException(java.lang.Throwable value)` Sets the value of the '`Exception`' attribute.
`void` `setSource(EObject value)` Sets the value of the '`Source`' reference.

### Method Detail

#### getDerivedTypedElement

    ETypedElement getDerivedTypedElement()

Returns the value of the 'Derived Typed Element' reference. The reference "query" references the executed query.

Returns:
  the value of the 'Derived Typed Element' reference.
See Also:
  `setDerivedTypedElement(ETypedElement)`, `RuntimePackage.getETypedElementResult_DerivedTypedElement()`
Generated:
Model:
  required="true"

#### setDerivedTypedElement

    void setDerivedTypedElement(ETypedElement value)

Sets the value of the '`Derived Typed Element`' reference.

Parameters:
  `value` - the new value of the 'Derived Typed Element' reference.
See Also:
  `getDerivedTypedElement()`
Generated:

#### getParameterValues

    <any> getParameterValues()

Returns the value of the 'Parameter Values' containment reference list. The list contents are of type `ParameterValue`. This is the list of the values given as parameters for the query execution.

Returns:
  the value of the 'Parameter Values' containment reference list.
See Also:
  `RuntimePackage.getETypedElementResult_ParameterValues()`
Generated:
Model:
  containment="true"

#### getSource

    EObject getSource()

Returns the value of the 'Source' reference.

If the meaning of the 'Source' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Source' reference.
See Also:
  `setSource(EObject)`, `RuntimePackage.getETypedElementResult_Source()`
Generated:
Model:
  required="true"

#### setSource

    void setSource(EObject value)

Sets the value of the '`Source`' reference.

Parameters:
  `value` - the new value of the 'Source' reference.
See Also:
  `getSource()`
Generated:

#### getException

    java.lang.Throwable getException()

Returns the value of the 'Exception' attribute.

If the meaning of the 'Exception' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Exception' attribute.
See Also:
  `setException(Throwable)`, `RuntimePackage.getETypedElementResult_Exception()`
Generated:
Model:
  dataType="org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.JavaException" transient="true"

#### setException

    void setException(java.lang.Throwable value)

Sets the value of the '`Exception`' attribute.

Parameters:
  `value` - the new value of the 'Exception' attribute.
See Also:
  `getException()`
Generated: